This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1287796 - GPU Hangs while firefox playing HTML5 videos
GPU Hangs while firefox playing HTML5 videos
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 11:59 EST by Elia Devito
Modified: 2016-12-20 11:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:35:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 91579 None None None Never
FreeDesktop.org 93166 None None None Never

  None (edit)
Description Elia Devito 2015-12-02 11:59:25 EST
Description of problem:
GPU Hangs while firefox playing HTML5 videos

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Play HTML5 video on youtube

Actual results:
After some minutes firefox and the system hangs

Expected results:
no hangs

Additional info:
I have tried to disable Firefox HW acceleration but the problem persist

dmesg output:
[  634.504597] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=38280 end=38281)
[ 1596.448100] ------------[ cut here ]------------
[ 1596.448162] WARNING: CPU: 2 PID: 903 at drivers/gpu/drm/i915/intel_display.c:3918 intel_crtc_wait_for_pending_flips+0x1c6/0x230 [i915]()
[ 1596.448165] WARN_ON(wait_event_timeout(dev_priv->pending_flip_queue, !intel_crtc_has_pending_flip(crtc), 60*HZ) == 0)
[ 1596.448168] Modules linked in:
[ 1596.448172]  ccm bbswitch(OE) intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel arc4 kvm uvcvideo iwldvm crct10dif_pclmul videobuf2_vmalloc mac80211 snd_hda_codec_hdmi videobuf2_core videobuf2_memops crc32_pclmul v4l2_common crc32c_intel iwlwifi snd_hda_codec_realtek snd_hda_codec_generic videodev snd_hda_intel snd_hda_codec media snd_hda_core snd_hwdep cfg80211 snd_seq snd_seq_device snd_pcm asus_nb_wmi snd_timer shpchp asus_wmi sparse_keymap iTCO_wdt iTCO_vendor_support joydev snd rfkill lpc_ich i2c_i801 soundcore mei_me mei nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 mxm_wmi i2c_algo_bit drm_kms_helper drm serio_raw atl1c wmi video [last unloaded: nvidia]
[ 1596.448254] CPU: 2 PID: 903 Comm: Xorg Tainted: P           OE   4.2.6-301.fc23.x86_64 #1
[ 1596.448257] Hardware name: ASUSTeK Computer Inc. K53SD/K53SD, BIOS K53SD.208 08/10/2012
[ 1596.448261]  0000000000000000 000000009da774ff ffff88009d8abb18 ffffffff817729ea
[ 1596.448267]  0000000000000000 ffff88009d8abb70 ffff88009d8abb58 ffffffff8109e4b6
[ 1596.448272]  00000001018abb58 0000000000000000 ffff880241c78d38 ffff8800368d7000
[ 1596.448277] Call Trace:
[ 1596.448297]  [<ffffffff817729ea>] dump_stack+0x45/0x57
[ 1596.448306]  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
[ 1596.448311]  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
[ 1596.448317]  [<ffffffff810df6d3>] ? finish_wait+0x53/0x70
[ 1596.448351]  [<ffffffffa013f986>] intel_crtc_wait_for_pending_flips+0x1c6/0x230 [i915]
[ 1596.448355]  [<ffffffff810df990>] ? wake_atomic_t_function+0x70/0x70
[ 1596.448385]  [<ffffffffa0140d32>] intel_crtc_disable_planes+0x32/0x100 [i915]
[ 1596.448412]  [<ffffffffa0142c5b>] intel_crtc_control+0x4b/0x110 [i915]
[ 1596.448438]  [<ffffffffa0142d7e>] intel_crtc_update_dpms+0x5e/0x80 [i915]
[ 1596.448465]  [<ffffffffa01481ef>] intel_connector_dpms+0x5f/0x70 [i915]
[ 1596.448491]  [<ffffffffa005f7ab>] drm_mode_obj_set_property_ioctl+0x25b/0x270 [drm]
[ 1596.448511]  [<ffffffffa005f7ff>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
[ 1596.448525]  [<ffffffffa004f365>] drm_ioctl+0x125/0x610 [drm]
[ 1596.448544]  [<ffffffffa005f7c0>] ? drm_mode_obj_set_property_ioctl+0x270/0x270 [drm]
[ 1596.448550]  [<ffffffff81299064>] ? kernfs_fop_write+0xa4/0x170
[ 1596.448557]  [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
[ 1596.448562]  [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
[ 1596.448566]  [<ffffffff81231699>] SyS_ioctl+0x79/0x90
[ 1596.448572]  [<ffffffff810656cf>] ? do_page_fault+0x2f/0x80
[ 1596.448578]  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
[ 1596.448582] ---[ end trace a6f965ebffcb86d9 ]---
[ 1596.448585] ------------[ cut here ]------------
[ 1596.448614] WARNING: CPU: 2 PID: 903 at drivers/gpu/drm/i915/intel_display.c:3923 intel_crtc_wait_for_pending_flips+0x219/0x230 [i915]()
[ 1596.448616] Removing stuck page flip
[ 1596.448618] Modules linked in: ccm bbswitch(OE) intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel arc4 kvm uvcvideo iwldvm crct10dif_pclmul videobuf2_vmalloc mac80211 snd_hda_codec_hdmi videobuf2_core videobuf2_memops crc32_pclmul v4l2_common crc32c_intel iwlwifi snd_hda_codec_realtek snd_hda_codec_generic videodev snd_hda_intel snd_hda_codec media snd_hda_core snd_hwdep cfg80211 snd_seq snd_seq_device snd_pcm asus_nb_wmi snd_timer shpchp asus_wmi sparse_keymap iTCO_wdt iTCO_vendor_support joydev snd rfkill lpc_ich i2c_i801 soundcore mei_me mei nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 mxm_wmi i2c_algo_bit drm_kms_helper drm serio_raw atl1c wmi video [last unloaded: nvidia]
[ 1596.448679] CPU: 2 PID: 903 Comm: Xorg Tainted: P        W  OE   4.2.6-301.fc23.x86_64 #1
[ 1596.448682] Hardware name: ASUSTeK Computer Inc. K53SD/K53SD, BIOS K53SD.208 08/10/2012
[ 1596.448684]  0000000000000000 000000009da774ff ffff88009d8abb18 ffffffff817729ea
[ 1596.448688]  0000000000000000 ffff88009d8abb70 ffff88009d8abb58 ffffffff8109e4b6
[ 1596.448692]  00000001018abb58 0000000000000000 ffff880241c78d38 ffff8800368d7000
[ 1596.448697] Call Trace:
[ 1596.448701]  [<ffffffff817729ea>] dump_stack+0x45/0x57
[ 1596.448706]  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
[ 1596.448712]  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
[ 1596.448716]  [<ffffffff810df6d3>] ? finish_wait+0x53/0x70
[ 1596.448742]  [<ffffffffa013f9d9>] intel_crtc_wait_for_pending_flips+0x219/0x230 [i915]
[ 1596.448746]  [<ffffffff810df990>] ? wake_atomic_t_function+0x70/0x70
[ 1596.448773]  [<ffffffffa0140d32>] intel_crtc_disable_planes+0x32/0x100 [i915]
[ 1596.448799]  [<ffffffffa0142c5b>] intel_crtc_control+0x4b/0x110 [i915]
[ 1596.448823]  [<ffffffffa0142d7e>] intel_crtc_update_dpms+0x5e/0x80 [i915]
[ 1596.448850]  [<ffffffffa01481ef>] intel_connector_dpms+0x5f/0x70 [i915]
[ 1596.448871]  [<ffffffffa005f7ab>] drm_mode_obj_set_property_ioctl+0x25b/0x270 [drm]
[ 1596.448905]  [<ffffffffa005f7ff>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
[ 1596.448925]  [<ffffffffa004f365>] drm_ioctl+0x125/0x610 [drm]
[ 1596.448949]  [<ffffffffa005f7c0>] ? drm_mode_obj_set_property_ioctl+0x270/0x270 [drm]
[ 1596.448957]  [<ffffffff81299064>] ? kernfs_fop_write+0xa4/0x170
[ 1596.448964]  [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
[ 1596.448971]  [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
[ 1596.448977]  [<ffffffff81231699>] SyS_ioctl+0x79/0x90
[ 1596.448984]  [<ffffffff810656cf>] ? do_page_fault+0x2f/0x80
[ 1596.448991]  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
[ 1596.448996] ---[ end trace a6f965ebffcb86da ]---
[ 2587.186243] [drm] stuck on render ring
[ 2587.187098] [drm] GPU HANG: ecode 6:0:0x87e8fffd, in MediaPl~back #6 [7818], reason: Ring hung, action: reset
[ 2587.187099] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 2587.187100] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 2587.187100] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 2587.187101] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 2587.187102] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 2587.189190] drm/i915: Resetting chip after gpu hang
Comment 1 Elia Devito 2015-12-02 13:40:02 EST
dmesg output with HW acceleration:

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=45322 end=45323)
[  868.598721] [drm] stuck on render ring
[  868.601572] [drm] GPU HANG: ecode 6:0:0x87e8fffd, in MediaPl~ack #14 [2333], reason: Ring hung, action: reset
[  868.601577] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  868.601580] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  868.601583] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  868.601586] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  868.601589] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  868.603863] drm/i915: Resetting chip after gpu hang
[  878.587630] [drm] stuck on render ring
[  878.590539] [drm] GPU HANG: ecode 6:0:0x87e8effd, in MediaPl~back #4 [1969], reason: Ring hung, action: reset
[  878.590913] [drm:i915_set_reset_status [i915]] *ERROR* gpu hanging too fast, banning!
[  878.592964] drm/i915: Resetting chip after gpu hang
Comment 2 Fedora End Of Life 2016-11-24 08:55:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 11:35:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.